Name: python3-module-tflite-runtime
Version: 2.12.0
Release: elv.alt1

Summary: TensorFlow python runtime
License: Apache License 2.0
Group: Development/Other

Url: https://github.com/tensorflow/tensorflow/archive/refs/tags/v%version.tar.gz
Source: %name-%version.tar.gz

Patch: tflite-runtime_required-telemetry-symbols_fix.patch

BuildRequires(pre): rpm-macros-cmake rpm-build-python3
BuildRequires: cmake
BuildRequires: curl
BuildRequires: gcc-c++
BuildRequires: git
BuildRequires: libjpeg-devel
BuildRequires: libnumpy-py3-devel
BuildRequires: pybind11-devel
BuildRequires: python3-module-distutils-extra
BuildRequires: python3-module-numpy
BuildRequires: python3-module-pip
BuildRequires: python3-module-pybind11
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
BuildRequires: zlib-devel

Provides: tflite-runtime = %version-%release
Requires: python3-module-numpy >= 1.19.2

%description
TensorFlow is an end-to-end open source platform for machine learning.

%prep
curl -o "%SOURCE0" -L "%url"
%setup -n %name -c -T
tar -xf "%SOURCE0" --strip-components=1

%patch -p1

%build
export BUILD_NUM_JOBS=%_smp_build_ncpus
cd tensorflow/lite/tools/pip_package
./build_pip_package_with_cmake.sh

%install
mkdir -p %buildroot
cd tensorflow/lite/tools/pip_package/gen/tflite_pip/python3
tar -xvf ./dist/tflite-runtime-%version.linux-%_arch.tar.gz \
  -C %buildroot/ --transform 's,/usr/lib/,%_libdir/,'

%files
%python3_sitelibdir/*
